Skip to Content
APIsCurrent Price

Current Price

Get current price returns the real-time price of a crypto pair.

Get Current Price

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}/currentprice

Returns an object with the real-time price of a crypto pair.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "timestamp": "1644510051396", "price": 45202.18 }

Copy & Paste Code

cURL
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/currentprice

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD/currentprice 

response.json
{ "exchange": "coinbasepro", "market": "BTC/USD", "timestamp": "1644510051396", "price": 45202.18 }

Response Attributes

Attribute NameData TypeDescription
exchangestringUnique identifier used by Adesic for the exchange.
marketstringUnique identifier used by the exchange for ticker.
timestampstringUnix timestamp of the current price.
pricefloatThe latest price of the crypto asset.

© Adesic LLC. All Rights Reserved